摘要:maven项目会用maven-compiler-plugin默认的jdk版本来进行j编译,如果不指明版本就容易出现版本不匹配的问题,可能导致编译不通过的问题。解决办法:在pom文件中配置maven-compiler-plugin插件(以jdk1.8)。 1、方式一 阅读全文
posted @ 2020-12-26 13:12 nylgwn 阅读(108) 评论(0) 推荐(0) 编辑
摘要:有时我们使用pom文件写依赖坐标时会记不住坐标的名字,这时我们可以使用IDEA提供的动态模板功能进行简便开发。 一、找到模板配置项,添加一个自定义模板组 阅读全文
posted @ 2020-12-26 13:06 nylgwn 阅读(81) 评论(0) 推荐(0) 编辑
摘要:Maven启动tomcat:run异常 阅读全文
posted @ 2020-12-26 12:20 nylgwn 阅读(127) 评论(0) 推荐(0) 编辑